Debian Bug report logs - #607979
The argument for IP_MULTICAST_IF socket option

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: Tanaka Akira <akr@fsij.org>

Date: Sat, 25 Dec 2010 15:21:01 UTC

Severity: normal

Tags: confirmed, fixed-upstream, patch, upstream

Found in version manpages/3.05-1

Fixed in version manpages/3.54-1

Done: Simon Paillard <spaillard@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://thread.gmane.org/gmane.linux.man/3993

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#607979; Package manpages. (Sat, 25 Dec 2010 15:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanaka Akira <akr@fsij.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. (Sat, 25 Dec 2010 15:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tanaka Akira <akr@fsij.org>
To: submit@bugs.debian.org
Subject: The argument for IP_MULTICAST_IF socket option
Date: Sun, 26 Dec 2010 00:16:00 +0900
Package: manpages
Version: 3.05-1

ip(7) describes that the argument for IP_MULTICAST_IF is ip_mreqn or ip_mreq:

   IP_MULTICAST_IF
	  Set the local device for a multicast  socket.   Argument  is  an
	  ip_mreqn or ip_mreq structure similar to IP_ADD_MEMBERSHIP.

But it should be ip_mreqn or in_addr.
It is different from IP_ADD_MEMBERSHIP.

At the original API of BSD multicast, IP_MULTICAST_IF takes struct in_addr.
http://www.kohala.com/start/mcast.api.txt

do_ip_setsockopt() in Linux net/ipv4/ip_sockglue.c seems to support
ip_mreqn and in_addr.
-- 
Tanaka Akira




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#607979; Package manpages. (Sun, 27 Jan 2013 23:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Sun, 27 Jan 2013 23:06:06 GMT) Full text and rfc822 format available.

Message #10 received at 607979@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: Tanaka Akira <akr@fsij.org>, 607979@bugs.debian.org
Cc: mtk.manpages@gmail.com
Subject: Re: Bug#607979: The argument for IP_MULTICAST_IF socket option
Date: Mon, 28 Jan 2013 00:01:45 +0100
[Message part 1 (text/plain, inline)]
Control: tag -1 +confirmed +upstream , retitle -1 ip(7) incorrect structure for IP_MULTICAST_IF socket option

Hi,

On Sun, Dec 26, 2010 at 12:16:00AM +0900, Tanaka Akira wrote:
> ip(7) describes that the argument for IP_MULTICAST_IF is ip_mreqn or ip_mreq:
> 
>    IP_MULTICAST_IF
> 	  Set the local device for a multicast  socket.   Argument  is  an
> 	  ip_mreqn or ip_mreq structure similar to IP_ADD_MEMBERSHIP.
> 
> But it should be ip_mreqn or in_addr.
> It is different from IP_ADD_MEMBERSHIP.
> 
> At the original API of BSD multicast, IP_MULTICAST_IF takes struct in_addr.
> http://www.kohala.com/start/mcast.api.txt
> 
> do_ip_setsockopt() in Linux net/ipv4/ip_sockglue.c seems to support
> ip_mreqn and in_addr.

Indeed, your remark is applicable to all Linux kernels before v3.5.

Then it has been fixed in May 2012, it now accepts ip_mreqn, old ip_mreq, and in_addr
http://git.kernel.org/?p=linux/kernel/git/stable/linux-stable.git;a=commitdiff;h=3a084ddb4bf299a6e898a9a07c89f3917f0713f7

However, I wonder if Michael wants to document old kernel interfaces (i.e. mention in_addr).

A patch added (without mention of in_addr though).

-- 
Simon Paillard
[0001-ip.7-IP_MULTICAST_IF-setsockopt-recognizes-struct-mr.patch (text/x-diff, attachment)]

Added tag(s) confirmed. Request was from Simon Paillard <spaillard@debian.org> to 607979-submit@bugs.debian.org. (Sun, 27 Jan 2013 23:06:06 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Simon Paillard <spaillard@debian.org> to 607979-submit@bugs.debian.org. (Sun, 27 Jan 2013 23:06:06 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Mon, 11 Feb 2013 20:45:05 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://thread.gmane.org/gmane.linux.man/3993'. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Fri, 17 May 2013 23:15:04 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Mon, 19 Aug 2013 15:24:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Mon, 23 Sep 2013 19:24:13 GMT) Full text and rfc822 format available.

Reply sent to Simon Paillard <spaillard@debian.org>:
You have taken responsibility. (Mon, 23 Sep 2013 22:00:28 GMT) Full text and rfc822 format available.

Notification sent to Tanaka Akira <akr@fsij.org>:
Bug acknowledged by developer. (Mon, 23 Sep 2013 22:00:28 GMT) Full text and rfc822 format available.

Message #27 received at 607979-close@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 607979-close@bugs.debian.org
Subject: Bug#607979: fixed in manpages 3.54-1
Date: Mon, 23 Sep 2013 21:49:57 +0000
Source: manpages
Source-Version: 3.54-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 607979@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon Paillard <spaillard@debian.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 23 Sep 2013 23:11:58 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.54-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Simon Paillard <spaillard@debian.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 553477 607979
Changes: 
 manpages (3.54-1) unstable; urgency=low
 .
   * Imported Upstream version 3.54
     . dir_colors.5: Add various synonyms (Closes: #553477)
     . ip.7: IP_MULTICAST_IF setsockopt recognizes struct mreq (Closes: #607979)
Checksums-Sha1: 
 ca470547f965ea4441802f719ae3daca39a36e89 1933 manpages_3.54-1.dsc
 29be4b1cc2498467e98d785554762eb67171de0e 1171980 manpages_3.54.orig.tar.xz
 1ccb3b0908213e95a9c0bbbbed0bd9dba8a285f9 48290 manpages_3.54-1.debian.tar.gz
 56a1a1a490178d8d17f166df0dafe8f9c79ad81e 854110 manpages_3.54-1_all.deb
 030e09af2fd7e3f43039810fa4d5789f9c554e19 1789780 manpages-dev_3.54-1_all.deb
Checksums-Sha256: 
 abd31f66453c5d17e1053883d3b24b7f84cb670ce381fb733c1a20ecb809fec2 1933 manpages_3.54-1.dsc
 74dde80f2bb37b781f323e7f5a9b682b632445f05ab35592169b4098682b6765 1171980 manpages_3.54.orig.tar.xz
 25b4e27d867233e9164b9a14955365b01ea928b2546ef55e5a8dda48d00a5a8f 48290 manpages_3.54-1.debian.tar.gz
 54c5b3045468d4c17a037270c59cb75a93d8e3f853a441461766961943635a3e 854110 manpages_3.54-1_all.deb
 d550a339a5cad94d990492de0c598786cfcb8204f94486e7dd267024186a4e3f 1789780 manpages-dev_3.54-1_all.deb
Files: 
 c51abbefebbe2441c00bafed0d680497 1933 doc important manpages_3.54-1.dsc
 382f83e670ecbe1d97fc58e03da0b026 1171980 doc important manpages_3.54.orig.tar.xz
 95db4febb740893bfa51004ba729091c 48290 doc important manpages_3.54-1.debian.tar.gz
 cc7c9ee6c13cb7246acafe4eb69bfc24 854110 doc important manpages_3.54-1_all.deb
 9923153e70764623f56955c44bd7788b 1789780 doc optional manpages-dev_3.54-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJSQLHWAAoJEN/3OMLRbPuiBK0QAJAXmk1/e7mQ8KPi2esZ38Az
JMIOrxIlWVI0+Rp2atIkKV6EeBzxenHa7NLIJWBSk/umDGbJWR6uWgfbDLgr8d45
60VMmcwN/Z18XQyi9MfIzYqjzMkUzrGiqfgawa4t5XxN8rNUn0q+O0Mb3zyLOjIC
roFr5x0+NEfV28c7cPewhmt7QGuNr/8hpfzWCfe7QT+hCccBq0gehMQtfMiMvabJ
clOjPUnXAPlvO82wwo+ZEufLdgePbFQV7fRwb4K7F/I+wJ/DMNmofHZLS2zftRIZ
NCW5quhSCGKKRLKF1+qrK77Al+zryPVik5vAK1m1Rd5gkgtLZ2BB+BpF9Rk0RfC+
kGwzUR1a9l8AOrqd9e6VAm/ZkMQcVK34jzqfzQcV8HYwHG+7L+UMlWmPftVRBBuG
bqDr99D3irJQkS8mXZ3MSFpivYDyFUsmIOW3JUlw2gdlTy9aKr5jnVCEPXbrB5l4
NcMs9AEuAiahM8sL2xzU+Dvi9yFCI94Is6h09xyyzQlbY+npLSkApbMOXTtMM9rb
gbuEqaeqZW5QOfLVW6QSmjPDNarAMtVslhB9f7oPbYqsWfgimsgbpYkA5Ss/aJgd
7mIs32tGE9OztJgH1+NKzBDF4N7dW5GaM16V9iDmD6gd7fWi3zSoshQjSzwY4IDV
uQiywraiBQJdwW6HwNKa
=i04n
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 01 Nov 2013 07:32:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:21:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.